import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
spec = client.dataframer.specs.retrieve(
spec_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(spec.id)curl https://df-api.dataframer.ai/api/dataframer/specs/$SPEC_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Customer Support Conversations Spec",
"description": "Spec for generating synthetic customer support conversations",
"status": "PROCESSING",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"dataset_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"dataset_name": "Customer Support Dataset",
"dataset_type": "SINGLE_FILE",
"created_by_email": "sarah.chen@acme.com",
"content_yaml": null,
"versions": []
}Get spec
Retrieve a specific spec by ID
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
spec = client.dataframer.specs.retrieve(
spec_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(spec.id)curl https://df-api.dataframer.ai/api/dataframer/specs/$SPEC_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Customer Support Conversations Spec",
"description": "Spec for generating synthetic customer support conversations",
"status": "PROCESSING",
"created_at": "2025-01-15T10:30:00Z",
"updated_at": "2025-01-15T10:30:00Z",
"dataset_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"dataset_name": "Customer Support Dataset",
"dataset_type": "SINGLE_FILE",
"created_by_email": "sarah.chen@acme.com",
"content_yaml": null,
"versions": []
}Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Path Parameters
UUID of the spec
Query Parameters
Include all previous spec versions in the response
Response
Spec details
Unique identifier for the spec
Spec name
Description of the spec's purpose (optional, for data organization purposes only)
Current status of the spec
PROCESSING, SUCCEEDED, FAILED Timestamp when the spec was created
Timestamp when the spec was last modified
ID of the seed dataset. Null for seedless specs.
Name of the seed dataset. Null for seedless specs.
Type of dataset. MULTI_FILE for seedless specs.
SINGLE_FILE, MULTI_FILE, MULTI_FOLDER Email of the user who created this spec
Parameters used during spec generation (model name, distribution settings, etc.)
All versions of this spec. Only included when include_versions=true. Empty when status is PROCESSING or FAILED.
Show child attributes
Show child attributes
The YAML content from the latest version of this spec. Null when status is PROCESSING or FAILED.
Error message when status is FAILED. Null otherwise.

